use super::info::Info;
use super::result::Result;

#[derive(Debug, Clone, Copy, PartialEq, Eq, PartialOrd, Ord)]
pub struct ConfigID(pub(crate) i64);

#[derive(Debug)]
pub struct Configuration {
    pub id: ConfigID,
    pub time: i64,
    pub infos: Vec<Info>,
    pub results: Vec<Result>,
}
